diff options
Diffstat (limited to 'test/pamfile.test')
-rwxr-xr-x | test/pamfile.test | 12 |
1 files changed, 6 insertions, 6 deletions
diff --git a/test/pamfile.test b/test/pamfile.test index 260d0b27..7be061ef 100755 --- a/test/pamfile.test +++ b/test/pamfile.test @@ -31,16 +31,16 @@ echo "Error messages should appear below the line." 1>&2 echo "-----------------------------------------------------------" 1>&2 pamfile -size -machine testimg.ppm > ${test_out} || \ - printf "Expected failure 1" - test -s ${test_out}; echo " "$? + printf "Expected failure 1 " + test -s ${test_out} && echo "unexpected output" || echo "(no output)" rm -f ${test_out} pamfile -count -machine testimg.ppm > ${test_out} || \ - printf "Expected failure 2" - test -s ${test_out}; echo " "$? + printf "Expected failure 2 " + test -s ${test_out} && echo "unexpected output" || echo "(no output)" rm -f ${test_out} head -n1 testimg.ppm | pamfile > ${test_out} || \ - printf "Expected failure 3" - test -s ${test_out}; echo " "$? + printf "Expected failure 3 " + test -s ${test_out} && echo "unexpected output" || echo "(no output)" rm -f ${test_out} |